gnutls_pkcs11_token_get_url(3)

NAME
gnutls_pkcs11_token_get_url - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_token_get_url(unsigned int seq, gnutls_pkcs11_url_type_t detailed, char ** url);

ARGUMENTS

unsigned int seq
    sequence number starting from 0

gnutls_pkcs11_url_type_t detailed
    non zero if a detailed URL is required

char ** url
    will contain an allocated url

DESCRIPTION
This function will return the URL for each token available in system. The url has to be released using gnutls_free()

RETURNS
On success, GNUTLS_E_SUCCESS is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the sequence number exceeds the available tokens, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.